#!/usr/bin/env python3

import sys
from pentest_tls import port_scanner

def process(ports: list, ip: str, PU, PS) -> None:
    open_ports = []
    opened = False
    for port in sorted(ports):
        sys.stdout.flush()
        if PU:
            opened |= port_scanner.scan_udp_port(ip, port)
            if PS:
                opened |= port_scanner.scan_tcp_port(ip, port)
        else:
            opened |= port_scanner.scan_tcp_port(ip, port)
        if opened:
            open_ports.append(port)
    if open_ports:
        print(f"\nOpened: {sorted(open_ports)}")
    else:
        print("\nNo open ports were detected.")
